Package: org.grails.validation

## [Java] Class DomainClassPropertyComparator

- org.grails.validation.DomainClassPropertyComparator

- All Implemented Interfaces and Traits:
    java.util.Comparator

      @java.lang.SuppressWarnings("rawtypes")
      public class DomainClassPropertyComparator
      extends java.lang.Object

  Comparator that uses the domain class property constraints to establish order in sort methods and always places the id first.

  Authors:
    Graeme Rocher

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassPropertyComparator (GrailsDomainClass domainClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `compare(java.lang.Object o1, java.lang.Object o2)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DomainClassPropertyComparator(GrailsDomainClass domainClass)

  - ### Method Detail

    - #### public int compare(java.lang.Object o1, java.lang.Object o2)